CREATE TABLE `txx_accesslog` (
  `aid` int(11) NOT NULL auto_increment,
  `sid` varchar(64) NOT NULL default '',
  `title` varchar(255) default NULL,
  `path` varchar(255) default NULL,
  `url` varchar(255) default NULL,
  `hostname` varchar(128) default NULL,
  `uid` int(10) unsigned default '0',
  `timer` int(10) unsigned NOT NULL default '0',
  `timestamp` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`aid`),
  KEY `accesslog_timestamp` (`timestamp`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Sťahujem dáta pre tabuľku `txx_accesslog`
-- 


-- --------------------------------------------------------

-- 
-- Štruktúra tabuľky pre tabuľku `txx_articles`
-- 

CREATE TABLE `txx_articles` (
  `ar_id` int(4) NOT NULL auto_increment,
  `ar_title` varchar(250) NOT NULL,
  `ar_link` varchar(128) NOT NULL,
  `ar_cat` varchar(30) NOT NULL,
  `ar_intro` text NOT NULL,
  `ar_text` text NOT NULL,
  `ar_author` int(4) NOT NULL,
  `ar_time` varchar(14) NOT NULL,
  `ar_publish` int(1) NOT NULL default '1',
  `ar_comments` int(1) NOT NULL default '1',
  `ar_vote` int(1) NOT NULL default '1',
  `ar_vote_all` int(3) NOT NULL default '0',
  `ar_vote_count` int(3) NOT NULL default '0',
  `ar_reads` int(6) NOT NULL default '0',
  PRIMARY KEY  (`ar_id`)
) ENGINE=MyISAM AUTO_INCREMENT=26 DEFAULT CHARSET=utf8 AUTO_INCREMENT=26 ;

-- 
-- Štruktúra tabuľky pre tabuľku `txx_articles_cat`
-- 

CREATE TABLE `txx_articles_cat` (
  `cat_id` int(4) NOT NULL auto_increment,
  `cat_name` varchar(250) NOT NULL,
  PRIMARY KEY  (`cat_id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;

-- 
-- Sťahujem dáta pre tabuľku `txx_articles_cat`
-- 

INSERT INTO `txx_articles_cat` VALUES (1, 'Novinky');
INSERT INTO `txx_articles_cat` VALUES (3, 'TxX CMS');
INSERT INTO `txx_articles_cat` VALUES (5, 'Temp');

-- --------------------------------------------------------

-- 
-- Štruktúra tabuľky pre tabuľku `txx_articles_comments`
-- 

CREATE TABLE `txx_articles_comments` (
  `com_id` int(4) NOT NULL auto_increment,
  `com_sub_id` int(4) NOT NULL,
  `com_ar_id` int(4) NOT NULL,
  `com_ip` varchar(50) NOT NULL,
  `com_uid` int(4) NOT NULL,
  `com_time` varchar(14) NOT NULL,
  `com_title` varchar(30) NOT NULL,
  `com_text` text NOT NULL,
  `com_public` int(1) NOT NULL default '1',
  PRIMARY KEY  (`com_id`)
) ENGINE=MyISAM AUTO_INCREMENT=63 DEFAULT CHARSET=utf8 AUTO_INCREMENT=63 ;

-- --------------------------------------------------------

-- 
-- Štruktúra tabuľky pre tabuľku `txx_articles_vote`
-- 

CREATE TABLE `txx_articles_vote` (
  `vote_id` int(10) NOT NULL auto_increment,
  `vote_arid` int(10) NOT NULL,
  `vote_uid` int(10) NOT NULL default '0',
  `vote_host` varchar(16) NOT NULL default '127.000.000.001',
  PRIMARY KEY  (`vote_id`)
) ENGINE=MyISAM AUTO_INCREMENT=16 DEFAULT CHARSET=utf8 AUTO_INCREMENT=16 ;


-- --------------------------------------------------------

-- 
-- Štruktúra tabuľky pre tabuľku `txx_blocks`
-- 

CREATE TABLE `txx_blocks` (
  `block_id` int(4) NOT NULL auto_increment,
  `block_place` varchar(30) NOT NULL default 'leftsidebar',
  `block_name` varchar(30) NOT NULL,
  `block_link` varchar(250) NOT NULL,
  `block_active` int(1) NOT NULL default '1',
  `block_pos` int(4) NOT NULL default '0',
  PRIMARY KEY  (`block_id`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8 AUTO_INCREMENT=8 ;

-- 
-- Sťahujem dáta pre tabuľku `txx_blocks`
-- 

INSERT INTO `txx_blocks` VALUES (1, 'rightsidebar', 'login form', './modules/user/', 1, 100);
INSERT INTO `txx_blocks` VALUES (3, 'leftsidebar', 'main menu', './modules/system/', 1, 99);
INSERT INTO `txx_blocks` VALUES (4, 'rightsidebar', 'Banners', './modules/addons/', 1, -2);
INSERT INTO `txx_blocks` VALUES (7, 'footer', 'reklama google', './modules/addons/', 1, 0);

-- --------------------------------------------------------

-- 
-- Štruktúra tabuľky pre tabuľku `txx_blog`
-- 

CREATE TABLE `txx_blog` (
  `bl_id` int(4) NOT NULL auto_increment,
  `bl_title` varchar(250) NOT NULL,
  `bl_link` varchar(128) NOT NULL,
  `bl_intro` text NOT NULL,
  `bl_text` text NOT NULL,
  `bl_author` int(4) NOT NULL,
  `bl_time` varchar(14) NOT NULL,
  `bl_publish` int(1) NOT NULL default '1',
  `bl_comments` int(1) NOT NULL default '1',
  `bl_vote` int(1) NOT NULL default '1',
  `bl_vote_all` int(3) NOT NULL default '0',
  `bl_vote_count` int(3) NOT NULL default '0',
  `bl_reads` int(6) NOT NULL default '0',
  PRIMARY KEY  (`bl_id`)
) ENGINE=MyISAM AUTO_INCREMENT=20 DEFAULT CHARSET=utf8 AUTO_INCREMENT=20 ;

-- --------------------------------------------------------

-- 
-- Štruktúra tabuľky pre tabuľku `txx_blog_comments`
-- 

CREATE TABLE `txx_blog_comments` (
  `com_id` int(4) NOT NULL auto_increment,
  `com_sub_id` int(4) NOT NULL,
  `com_bl_id` int(4) NOT NULL,
  `com_ip` varchar(50) NOT NULL,
  `com_uid` int(4) NOT NULL,
  `com_time` varchar(14) NOT NULL,
  `com_title` varchar(30) NOT NULL,
  `com_text` text NOT NULL,
  `com_public` int(1) NOT NULL default '1',
  PRIMARY KEY  (`com_id`)
) ENGINE=MyISAM AUTO_INCREMENT=22 DEFAULT CHARSET=utf8 AUTO_INCREMENT=22 ;


-- --------------------------------------------------------

-- 
-- Štruktúra tabuľky pre tabuľku `txx_blog_vote`
-- 

CREATE TABLE `txx_blog_vote` (
  `vote_id` int(10) NOT NULL auto_increment,
  `vote_arid` int(10) NOT NULL,
  `vote_uid` int(10) NOT NULL default '0',
  `vote_host` varchar(16) NOT NULL default '127.000.000.001',
  PRIMARY KEY  (`vote_id`)
) ENGINE=MyISAM AUTO_INCREMENT=35 DEFAULT CHARSET=utf8 AUTO_INCREMENT=35 ;


-- --------------------------------------------------------

-- 
-- Štruktúra tabuľky pre tabuľku `txx_config`
-- 

CREATE TABLE `txx_config` (
  `con_lang` varchar(3) NOT NULL default 'sk',
  `con_theme` varchar(30) NOT NULL default 'default',
  `con_title` varchar(250) NOT NULL default 'TxX System CMS',
  `con_headtitle` varchar(250) NOT NULL,
  `con_slogan` varchar(250) NOT NULL default 'WebSite cms by Kepro',
  `con_email` varchar(250) NOT NULL,
  `con_charset` varchar(30) NOT NULL default 'UTF-8',
  `con_desc` varchar(250) NOT NULL,
  `con_footer` text NOT NULL,
  `con_rotobts` varchar(50) NOT NULL default 'index, follow',
  `con_main_page` varchar(250) NOT NULL default 'main',
  `con_cleanurl` varchar(3) NOT NULL default 'off',
  `con_ssl` varchar(3) NOT NULL default 'off',
  `registration_on` varchar(3) NOT NULL default 'on'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Sťahujem dáta pre tabuľku `txx_config`
-- 

INSERT INTO `txx_config` VALUES ('sk', 'default', 'Opensource CMS - free content management system - TxX.sk', 'TxX opensource CMS system', 'free content management system', 'kepro@cnet.sk', 'UTF-8', 'TxX Systems CMS by Kepro', '', 'index, follow', 'articles', 'on', 'on', 'on');

-- --------------------------------------------------------

-- 
-- Štruktúra tabuľky pre tabuľku `txx_log_all`
-- 

CREATE TABLE `txx_log_all` (
  `log_hour` int(2) NOT NULL,
  `log_day` int(2) NOT NULL,
  `log_month` int(2) NOT NULL,
  `log_year` int(4) NOT NULL,
  `log_count` int(10) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


CREATE TABLE `txx_log_go` (
  `link` varchar(250) NOT NULL,
  `count` int(10) NOT NULL default '1'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Sťahujem dáta pre tabuľku `txx_log_go`
-- 


-- --------------------------------------------------------

-- 
-- Štruktúra tabuľky pre tabuľku `txx_log_ip`
-- 

CREATE TABLE `txx_log_ip` (
  `ip` varchar(250) NOT NULL,
  `time` varchar(14) NOT NULL,
  `count` int(20) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


-- --------------------------------------------------------

-- 
-- Štruktúra tabuľky pre tabuľku `txx_log_online`
-- 

CREATE TABLE `txx_log_online` (
  `sid` varchar(20) NOT NULL,
  `uid` int(5) NOT NULL,
  `ip` varchar(250) NOT NULL,
  `time` varchar(14) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


CREATE TABLE `txx_log_referer` (
  `link` varchar(250) NOT NULL,
  `time` varchar(14) NOT NULL,
  `count` int(20) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- --------------------------------------------------------

-- 
-- Štruktúra tabuľky pre tabuľku `txx_menu`
-- 

CREATE TABLE `txx_menu` (
  `id` int(3) NOT NULL auto_increment,
  `sub_id` int(3) NOT NULL default '0',
  `path` varchar(250) NOT NULL,
  `description` varchar(250) NOT NULL,
  `title` varchar(250) NOT NULL,
  `wight` int(3) NOT NULL,
  `on` int(1) NOT NULL,
  `level` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=29 DEFAULT CHARSET=utf8 AUTO_INCREMENT=29 ;

-- 
-- Sťahujem dáta pre tabuľku `txx_menu`
-- 

INSERT INTO `txx_menu` VALUES (1, 0, 'articles', 'ZobrazÃ­ vÅ¡etky ÄlÃ¡nky', 'ÄŒlÃ¡nky', 7, 1, 0);
INSERT INTO `txx_menu` VALUES (2, 1, 'articles/add', 'Pridanie novÃ©ho ÄlÃ¡nku', 'Pridaj ÄlÃ¡nok', 0, 1, 3);
INSERT INTO `txx_menu` VALUES (4, 0, 'admin', 'AdministrÃ¡cia', 'AdministrÃ¡cia', -1, 1, 4);
INSERT INTO `txx_menu` VALUES (5, 4, 'admin/modules', 'Moduly', 'Moduly', 0, 1, 4);
INSERT INTO `txx_menu` VALUES (6, 0, 'user/logout', 'odhlasenie', 'OdhlÃ¡senie', -2, 1, 1);
INSERT INTO `txx_menu` VALUES (7, 4, 'admin/settings', 'Nastavenia', 'Nastavenia', 1, 1, 4);
INSERT INTO `txx_menu` VALUES (8, 4, 'admin/menu', 'Menu', 'Menu', 0, 1, 4);
INSERT INTO `txx_menu` VALUES (9, 4, 'admin/logs', 'Logy', 'Logy', 0, 1, 4);
INSERT INTO `txx_menu` VALUES (10, 9, 'admin/logs/watchdog', 'Zobrazuje chyby a ostatne informacie', 'Watchdog', 0, 1, 4);
INSERT INTO `txx_menu` VALUES (24, 0, 'test', 'mÃ´j testovaci modul', 'Test', -10, 1, 99);
INSERT INTO `txx_menu` VALUES (12, 9, 'admin/logs/statistic', 'Statistiky stranky', 'Statistiky', 0, 1, 4);
INSERT INTO `txx_menu` VALUES (13, 12, 'admin/logs/statistic/access', 'Pocitadlo pristupov', 'Pristupy', 0, 1, 4);
INSERT INTO `txx_menu` VALUES (14, 12, 'admin/logs/statistic/referers', 'Odkazovacie Stranky', 'OdkazovaÄe', 0, 1, 4);
INSERT INTO `txx_menu` VALUES (15, 12, 'admin/logs/statistic/top', 'ZobrazÃ­ najnavÅ¡tevovanejÅ¡ie strÃ¡nky', 'Top strÃ¡nky', 0, 1, 4);
INSERT INTO `txx_menu` VALUES (16, 13, 'admin/logs/statistic/access/graphs', 'asdf', 'Grafy', 0, 1, 4);
INSERT INTO `txx_menu` VALUES (17, 12, 'admin/logs/statistic/ip', 'Zobrazi pristupy s roznych IP adries', 'IP ', 0, 1, 4);
INSERT INTO `txx_menu` VALUES (21, 0, 'user', 'Zobrazenie uÅ¾ivateÄ¾skÃ½ch nastavenÃ­', 'MÃ´j ÃºÄet', 0, 1, 1);
INSERT INTO `txx_menu` VALUES (22, 21, 'user/messages', 'ZobrazÃ­ vaÅ¡u poÅ¡tu', 'Moja poÅ¡ta', 2, 1, 1);
INSERT INTO `txx_menu` VALUES (23, 21, 'user/settings', 'Nastavte si svoj ÃºÄet', 'Nastavenia', 0, 1, 1);
INSERT INTO `txx_menu` VALUES (26, 1, 'articles/cat', '', 'KategÃ³rie', 10, 1, 0);
INSERT INTO `txx_menu` VALUES (27, 0, 'blog', 'Blogy uÅ¾ivateÄ¾ov', 'Blogy', 7, 1, 0);
INSERT INTO `txx_menu` VALUES (28, 27, 'blog/add', 'PridÃ¡te novÃ½ blog', 'pridaÅ¥ blog', 10, 1, 1);

-- --------------------------------------------------------

-- 
-- Štruktúra tabuľky pre tabuľku `txx_modules`
-- 

CREATE TABLE `txx_modules` (
  `modul_name` varchar(50) NOT NULL,
  `modul_active` int(1) NOT NULL default '1',
  `modul_access_level` int(2) NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Sťahujem dáta pre tabuľku `txx_modules`
-- 

INSERT INTO `txx_modules` VALUES ('javascript', 1, 90);
INSERT INTO `txx_modules` VALUES ('admin', 1, 99);
INSERT INTO `txx_modules` VALUES ('user', 1, 0);
INSERT INTO `txx_modules` VALUES ('news', 1, 0);
INSERT INTO `txx_modules` VALUES ('articles', 1, 0);
INSERT INTO `txx_modules` VALUES ('test', 1, 99);
INSERT INTO `txx_modules` VALUES ('blog', 1, 0);
INSERT INTO `txx_modules` VALUES ('statistics', 1, 1);
INSERT INTO `txx_modules` VALUES ('todo', 1, 10);
INSERT INTO `txx_modules` VALUES ('page', 1, 0);
INSERT INTO `txx_modules` VALUES ('addons', 1, 0);
INSERT INTO `txx_modules` VALUES ('mail', 1, 0);
INSERT INTO `txx_modules` VALUES ('lamtek', 1, 0);
INSERT INTO `txx_modules` VALUES ('media-player', 1, 0);

-- --------------------------------------------------------

-- 
-- Štruktúra tabuľky pre tabuľku `txx_news`
-- 

CREATE TABLE `txx_news` (
  `news_title` varchar(250) NOT NULL default 'Vitajte v TxX System CMS',
  `news_text` text NOT NULL,
  `news_author` int(4) NOT NULL default '1',
  `news_time` varchar(14) NOT NULL,
  `news_level` tinyint(2) NOT NULL default '0',
  `news_publish` tinyint(1) NOT NULL default '1'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Sťahujem dáta pre tabuľku `txx_news`
-- 

INSERT INTO `txx_news` VALUES ('Vitajte v TxX System CMS', 'dfsdf', 1, '1169717232', 0, 1);

-- --------------------------------------------------------

-- 
-- Štruktúra tabuľky pre tabuľku `txx_page`
-- 

CREATE TABLE `txx_page` (
  `pg_id` int(4) NOT NULL auto_increment,
  `pg_title` varchar(250) NOT NULL,
  `pg_link` varchar(128) NOT NULL,
  `pg_intro` text NOT NULL,
  `pg_text` text NOT NULL,
  `pg_author` int(4) NOT NULL,
  `pg_time` varchar(14) NOT NULL,
  `pg_publish` int(1) NOT NULL default '1',
  `ar_reads` int(6) NOT NULL default '0',
  PRIMARY KEY  (`pg_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Sťahujem dáta pre tabuľku `txx_page`
-- 


-- --------------------------------------------------------

-- 
-- Štruktúra tabuľky pre tabuľku `txx_path`
-- 

CREATE TABLE `txx_path` (
  `from_link` varchar(250) NOT NULL,
  `where_link` varchar(250) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Sťahujem dáta pre tabuľku `txx_path`
-- 


-- --------------------------------------------------------

-- 
-- Štruktúra tabuľky pre tabuľku `txx_poll`
-- 

CREATE TABLE `txx_poll` (
  `nid` int(10) unsigned NOT NULL default '0',
  `runtime` int(10) NOT NULL default '0',
  `active` int(2) unsigned NOT NULL default '0',
  PRIMARY KEY  (`nid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Sťahujem dáta pre tabuľku `txx_poll`
-- 


-- --------------------------------------------------------

-- 
-- Štruktúra tabuľky pre tabuľku `txx_poll_choices`
-- 

CREATE TABLE `txx_poll_choices` (
  `chid` int(10) unsigned NOT NULL auto_increment,
  `nid` int(10) unsigned NOT NULL default '0',
  `chtext` varchar(128) NOT NULL default '',
  `chvotes` int(6) NOT NULL default '0',
  `chorder` int(2) NOT NULL default '0',
  PRIMARY KEY  (`chid`),
  KEY `nid` (`nid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Sťahujem dáta pre tabuľku `txx_poll_choices`
-- 


-- --------------------------------------------------------

-- 
-- Štruktúra tabuľky pre tabuľku `txx_poll_votes`
-- 

CREATE TABLE `txx_poll_votes` (
  `nid` int(10) unsigned NOT NULL,
  `uid` int(10) unsigned NOT NULL default '0',
  `hostname` varchar(128) NOT NULL default '',
  KEY `nid` (`nid`),
  KEY `uid` (`uid`),
  KEY `hostname` (`hostname`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Sťahujem dáta pre tabuľku `txx_poll_votes`
-- 


-- --------------------------------------------------------

-- 
-- Štruktúra tabuľky pre tabuľku `txx_privatemsg`
-- 

CREATE TABLE `txx_privatemsg` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `author` int(10) unsigned NOT NULL,
  `recipient` int(10) unsigned NOT NULL,
  `subject` varchar(64) NOT NULL default '',
  `message` text NOT NULL,
  `timestamp` int(11) unsigned NOT NULL,
  `newmsg` tinyint(3) unsigned NOT NULL,
  `hostname` varchar(255) NOT NULL default '',
  `folder` int(10) unsigned NOT NULL default '0',
  `author_del` tinyint(3) unsigned NOT NULL,
  `recipient_del` tinyint(3) unsigned NOT NULL,
  `format` int(4) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `recipient` (`recipient`),
  KEY `folder` (`folder`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Sťahujem dáta pre tabuľku `txx_privatemsg`
-- 


-- --------------------------------------------------------

-- 
-- Štruktúra tabuľky pre tabuľku `txx_privatemsg_folder`
-- 

CREATE TABLE `txx_privatemsg_folder` (
  `fid` int(10) unsigned NOT NULL auto_increment,
  `uid` int(10) unsigned NOT NULL,
  `name` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`fid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Sťahujem dáta pre tabuľku `txx_privatemsg_folder`
-- 


-- --------------------------------------------------------

-- 
-- Štruktúra tabuľky pre tabuľku `txx_todo`
-- 

CREATE TABLE `txx_todo` (
  `td_id` int(4) NOT NULL auto_increment,
  `td_title` varchar(250) NOT NULL,
  `td_status` int(1) NOT NULL,
  `td_intro` text NOT NULL,
  `td_text` text NOT NULL,
  `td_author` int(4) NOT NULL,
  `td_time` varchar(14) NOT NULL,
  `td_comments` int(1) NOT NULL default '1',
  PRIMARY KEY  (`td_id`)
) ENGINE=MyISAM AUTO_INCREMENT=20 DEFAULT CHARSET=utf8 AUTO_INCREMENT=20 ;

-- 
-- Sťahujem dáta pre tabuľku `txx_todo`
-- 


-- --------------------------------------------------------

-- 
-- Štruktúra tabuľky pre tabuľku `txx_users`
-- 

CREATE TABLE `txx_users` (
  `uid` int(4) NOT NULL auto_increment,
  `uname` varchar(30) NOT NULL,
  `upass` varchar(32) NOT NULL,
  `ulevel` int(2) NOT NULL,
  `ureal_name` varchar(250) NOT NULL,
  `uemail` varchar(250) NOT NULL,
  `ulast_ip` varchar(50) NOT NULL,
  `ulast_log` varchar(14) NOT NULL,
  `ureg` varchar(14) NOT NULL,
  `uawatar` int(1) NOT NULL default '0',
  PRIMARY KEY  (`uid`),
  UNIQUE KEY `uname` (`uname`,`uemail`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

-- 
-- Sťahujem dáta pre tabuľku `txx_users`
-- 

INSERT INTO `txx_users` VALUES (1, 'admin', md5('admin'), 99, 'Admin Admin', 'admin@root.sk', '', '', '', 1);

-- --------------------------------------------------------

-- 
-- Štruktúra tabuľky pre tabuľku `txx_watchdog`
-- 

CREATE TABLE `txx_watchdog` (
  `wid` int(11) NOT NULL auto_increment,
  `uid` int(11) NOT NULL default '0',
  `type` varchar(16) NOT NULL default '',
  `message` longtext NOT NULL,
  `severity` tinyint(3) unsigned NOT NULL default '0',
  `link` varchar(255) NOT NULL default '',
  `location` text NOT NULL,
  `referer` varchar(128) NOT NULL default '',
  `hostname` varchar(128) NOT NULL default '',
  `timestamp` int(11) NOT NULL default '0',
  PRIMARY KEY  (`wid`),
  KEY `type` (`type`)
) ENGINE=MyISAM AUTO_INCREMENT=82 DEFAULT CHARSET=utf8 AUTO_INCREMENT=82 ;
